package com.team5.aLife.BaseStation;

public class AddDeviceRequest extends AbstractRequest {

	private Device device;
	
	public AddDeviceRequest(){
		//  Do nothing.  Needed for JSON
	}
	
	public AddDeviceRequest(Device device)
	{
		this.device = device;
	}
	
	@Override
	public int getRequestType() {
		return ADD_DEVICE_REQUEST;
	}
	
	public Device getDevice(){
		return device;
	}

}
